Subject: Re: bug#8525: Lisp reader and string-to-number bugs and inconsistencies

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Apr 2011 10:08:23 -0300

> Emacs has several problems when converting strings to numbers:

Yes, they're mostly known.

> I plan to install the following patch to fix these problems, after

Looks pretty good, thanks.

> To fix (2), it's plausible to change the code in one of two ways:
> either silently treat large integers as floats, or signal an overflow.

We want to use floats rather than signal an overflow (this is evident
from the history of the code since the conversion to floats was added
somewhat recently).

        Stefan